Subject: [regext] draft-ietf-regext-bundling-registration and characters representation

From: Patrick Mevzek <[email-masked]>
Date: Fri, 02 Nov 2018 05:54:37 +0100

Hello,

This draft, by essence, needs and uses a lot of characters outside of ASCII and for these use the U+XXXX notation.

There is now however RFC7997 (The Use of Non-ASCII Characters in RFCs) and among other things it says:

- the encoding of future RFCs will be in UTF-8
- Where the use of non-ASCII characters is purely part of an example
   and not otherwise required for correct protocol operation, escaping
   the non-ASCII character is not required.
- The RFC Editor encourages the use of the U+ notation except within a
   code component where one must follow the rules of the programming
   language in which the code is being written.

So maybe the XML examples could be rewritten by using the native unicode characters
instead of the U+ notation, as I believe it would make them far more understandable.

In the text, the other recommendations of the above RFC could be applied to have
more standardized handling.

-- 
  Patrick Mevzek
  [email-masked]

---

From: "Jiankang Yao" <[email-masked]>
Date: Sun, 4 Nov 2018 20:59:47 +0800 (GMT+08:00)

Hellow Patrick Mevzek,

   Thanks.

   Your suggestion is very good.   RFC7997 is an informational RFC, and shows a direction. 
   Because the popular form of RFC is TXT, the TXT can not display non ASCII very well.
   I can use the natvie unicode characters in draft, but many readers will not display it correctly.
   According to my current understanding,  U+XXXX is still the proper way to be easily understood by most readers.
   Many years ago, IETF EAI WG also discussed this related issue.
   I still do not see which rfc uses the natvie unicode characters directly.

   If possilbe, I may suggest to add some texts in the draft, which says "in future, the natvie unicode characters instead of U+XXXX notation are suggested to use in the document"

Best Regards
Jiankang Yao

> -----原始邮件-----
> 发件人: "Patrick Mevzek" <[email-masked]>
> 发送时间: 2018-11-02 12:54:37 (星期五)
> 收件人: [email-masked]
> 抄送: 
> 主题: [regext] draft-ietf-regext-bundling-registration and characters representation
> 
> Hello,
> 
> _______________________________________________
> regext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/regext

---

From: Patrick Mevzek <[email-masked]>
Date: Sun, 04 Nov 2018 18:20:10 +0100

>    Your suggestion is very good.   RFC7997 is an informational RFC, and 

Not just a direction but possible things right now.
Because other formats than text are possible now, like PDF.

>    Because the popular form of RFC is TXT, the TXT can not display non 

No, see RFC 7990 and 7995.

> will not display it correctly.

The RFC cited says how things can be dealt with and the difference between
the txt and PDF format for example.

If someone has to deal with internationalization and hence is interested
by your document, I guess he knows how to deal with that and properly display characters.

>    According to my current understanding,  U+XXXX is still the proper 
> way to be easily understood by most readers.

I still feel your document to be difficult to read, just because of that.

Things like:
<b-dn:rdn uLabel="U+5B9E""U+4F8B".example>xn--fsq270a.example</b-dn:rdn>

are not easy, besides being invalid XML.
(I pity the document shepherd that will need to validate all XML
snippets, this can NOT be just copied and pasted in some validtor)

Which is exactly why the RFC7997 says that directly using the unicode characters
as is is permissible in examples.

>    I still do not see which rfc uses the natvie unicode characters 

RFC8187 for one.

>    If possilbe, I may suggest to add some texts in the draft, which says 
> "in future, the natvie unicode characters instead of U+XXXX notation are 
> suggested to use in the document"

As outlined, it is not in the future (hence this sentence is not necessary),
you can do it today already with RFC7997 guidance.

If you do not want to do it, then I do not recommend adding such a sentence.
And if you want to do it (apply RFC 7997 guidance) then you do not need
this sentence either, but you can put one explaining that examples contains
unicode characters, as permissible by section such and such of RFC7997.

If your draft goes further in the process, I guess this issue will come again
at various last calls and reviews.

-- 
  Patrick Mevzek
  [email-masked]